Self-serve contractor payments

Self Serve Get Transaction Status

Polls the Safe service for a proposal's status, syncs proposal/payroll state, and completes paid invoices with emails.

GEThttps://api.toku.com/hris/self-serve-get-transaction-status

Not available to API keys yet. It will need payments:write.

curl --request GET \
  --url 'https://api.toku.com/hris/self-serve-get-transaction-status?proposalID=%3CproposalID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "proposalID": "string",
  "safeTxHash": "string",
  "status": "PENDING_SIGNATURES",
  "confirmations": 0,
  "threshold": 0,
  "isExecuted": true,
  "executionTxHash": "string",
  "executedAt": "string",
  "proposedAt": "string",
  "safeAppUrl": "string",
  "message": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

proposalIDstring<uuid>required

Response

200Successful response
proposalIDstringrequired
safeTxHashstringrequired
statusstringrequired

Available options: PENDING_SIGNATURES, AWAITING_EXECUTION, EXECUTED, FAILED, CANCELLED

confirmationsnumberrequired
thresholdnumberrequired
isExecutedbooleanrequired
executionTxHashstring | nullrequired
executedAtstring | nullrequired
proposedAtstringrequired
safeAppUrlstringrequired
reconciliationStatusany
messagestring
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits